import { ElementRef, OnDestroy } from '@angular/core';
import { DropdownDirective } from './dropdown.directive';
export declare class DropdownTriggerDirective implements OnDestroy {
    private element;
    private dropdown;
    private parentFocusEventSubscription;
    haspopup: boolean;
    constructor(element: ElementRef, dropdown: DropdownDirective);
    ngOnDestroy(): void;
    toggleOpen(): void;
    onKeyDownOpen($event: Event): void;
    focus(): void;
}
